package domain


type AlibabaWdkElemeBillDetailGetEleOrderInfoBo struct {
    /*
        订单费用明细     */
    OrderDetailFee  *AlibabaWdkElemeBillDetailGetOrderDetailFee `json:"order_detail_fee,omitempty" `

    /*
        损失承担方     */
    ResponsibleParty  *string `json:"responsible_party,omitempty" `

    /*
        金额     */
    Amount  *string `json:"amount,omitempty" `

    /*
        账务时间     */
    TradeCreateTime  *string `json:"trade_create_time,omitempty" `

    /*
        下单时间     */
    OrderCreateTime  *string `json:"order_create_time,omitempty" `

    /*
        实际付款主体     */
    PayEntity  *string `json:"pay_entity,omitempty" `

    /*
        饿了么订单id     */
    EleOrderId  *string `json:"ele_order_id,omitempty" `

    /*
        订单id     */
    OrderId  *string `json:"order_id,omitempty" `

    /*
        订单来源     */
    OrderFrom  *string `json:"order_from,omitempty" `

    /*
        订单序号     */
    OrderIndex  *string `json:"order_index,omitempty" `

}

func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetOrderDetailFee(v AlibabaWdkElemeBillDetailGetOrderDetailFee) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.OrderDetailFee = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetResponsibleParty(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.ResponsibleParty = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetAmount(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.Amount = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetTradeCreateTime(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.TradeCreateTime = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetOrderCreateTime(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.OrderCreateTime = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetPayEntity(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.PayEntity = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetEleOrderId(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.EleOrderId = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetOrderId(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.OrderId = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetOrderFrom(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetEleOrderInfoBo) SetOrderIndex(v string) *AlibabaWdkElemeBillDetailGetEleOrderInfoBo {
    s.OrderIndex = &v
    return s
}
